Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:    	non-linear DV editor	
Name:      	kino
Version:   	1.3.2
Release:   	1
Provides:  	kino
License : 	GPL
Url:		http://www.kinodv.org
Group:     	Video 
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libavc1394-devel
BuildRequires:  glibc-devel
BuildRequires:  libiec61883-devel
BuildRequires:  libraw1394-devel
BuildRequires:  libstdc++-devel
BuildRequires:	perl
BuildRequires:  libICE-devel
BuildRequires:	libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXv-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  atk-devel
BuildRequires:  libdv-devel
BuildRequires:  cairo-devel
BuildRequires:  expat-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  libglade-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  pango-devel
BuildRequires:  libpng-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel

%description
Kino is a non-linear DV editor for GNU/Linux.
It features excellent integration with IEEE-1394 for capture, VTR control, and recording back to the camera.
It captures video to disk in Raw DV and AVI format, in both type-1 DV and type-2 DV (separate audio stream) encodings.
You can load multiple video clips, cut and paste portions of video/audio,
and save it to an edit decision list (SMIL XML format). Most edit and navigation commands
are mapped to equivalent vi key commands.
Also, Kino can export the composite movie in a number of formats:
DV over IEEE 1394, Raw DV, DV AVI, still frames, WAV, MP3, Ogg Vorbis, MPEG-1, MPEG-2, and MPEG-4.
Still frame import and export uses gdk-pixbuf, which has support for :
BMG, GIF, JPEG, PNG, PPM, SVG, Targa, TIFF, and XPM. MP3 requires lame. Ogg Vorbis requires oggenc.
MPEG-1 and MPEG-2 require mjpegtools or ffmpeg. MPEG-4 requires ffmpeg. 

%package	devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./autogen.sh
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--sysconfdir=%_sysconfdir \
		--disable-debug \
		--enable-local-ffmpeg
make

%install
rm -rf $RPM_BUILD_ROOT 

make install DESTDIR=$RPM_BUILD_ROOT

# fix symlink
rm -rf $RPM_BUILD_ROOT/usr/bin/kino2raw 
ln -s /usr/bin/kino $RPM_BUILD_ROOT/usr/bin/kino2raw

%files
%defattr(-,root,root)
%_bindir
%_sysconfdir
%_datadir/applications
%_datadir/pixmaps
%_datadir/mime
%_datadir/kino
%_datadir/locale
%_libdir/kino-gtk2/*.so*
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/kino-gtk2/*.la
%_libdir/kino-gtk2/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Aug 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.2-1
- Version update
* Thu Aug 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.1-1
- Version update
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-1
- Version update
* Sat Dec 01 2007 Christian Wasem <wasem@ccux-linux.de> 1.1.1-1
- Version update
* Mon Jun 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Initial Release
